LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::rendering::FloatingPointBitmapFormat Constant Group Reference

This structure describes format of a floating point bitmap. More...

## Variables
const byte | HALFFLOAT =0
| Half-float format. More...
const byte | FLOAT =1
| IEEE float format. More...
const byte | DOUBLE =2
| IEEE double format. More...

## Detailed Description

This structure describes format of a floating point bitmap.

Since
  OOo 2.0

## Variable Documentation

## ◆ DOUBLE

const byte DOUBLE =2

IEEE double format.

The color components are stored in the IEEE double-precision floating point format, i.e. in a 64 bit value, with 16 bit exponent, 47 bit mantissa and a sign bit.

## ◆ FLOAT

const byte FLOAT =1

IEEE float format.

The color components are stored in the IEEE single-precision floating point format, i.e. in a 32 bit value, with 8 bit exponent, 23 bit mantissa and a sign bit.

## ◆ HALFFLOAT

const byte HALFFLOAT =0

Half-float format.

The color components are stored in the half-float format, i.e. in a 16 bit value, with 5 bit exponent, 10 bit mantissa and a sign bit. See also OpenEXR for a format employing half-floats.